Package com.ads.api.beans.bgm

# Class Association

java.lang.Object
com.ads.api.beans.bgm.Association

public class Association extends Object
This class provides some beans control methods related to Association such as associationId, sourceObjectId, sourceObjectTypeId, targetObjectId, targetObjectTypeId, relationship details and fields etc..

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Association()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Node`
  `getDownstreamNode()`
  `Map<String,Object>`
  `getFields()`
  Returns the fields(extended properties) of the association object
  `Object`
  `getFieldValue(String name)`
  Returns the field value(extended property) of the association object
  `int`
  `getId()`
  Returns the id of the association object.
  `int`
  `getQualifierObjectId()`
  Returns the qualifierObjectId of the association object.
  `int`
  `getQualifierObjectTypeId()`
  Returns the qualifierObjectTypeId of the association object.
  `Relationship`
  `getRelationship()`
  Returns the relationship details of the association object.
  `Node`
  `getSource()`
  Returns the source details of the association object.
  `int`
  `getSourceObjectId()`
  Returns the sourceObjectId of the association object.
  `int`
  `getSourceObjectTypeId()`
  Returns the sourceObjectTypeId of the association object.
  `Node`
  `getTarget()`
  Returns the target details of the association object.
  `int`
  `getTargetObjectId()`
  Returns the targetObjectId of the association object.
  `int`
  `getTargetObjectTypeId()`
  Returns the targetObjectTypeId of the association object.
  `Node`
  `getUpstreamNode()`
  `void`
  `setFields(Map<String,Object> fields)`
  Sets the fields(extended properties) of the association object
  `void`
  `setFieldValue(String name, Object value)`
  Sets the field value(extended property) of the association object.
  `void`
  `setId(int id)`
  Sets the id of the association object
  `void`
  `setQualifierObjectId(int qualifierObjectId)`
  Sets the qualifierObjectId of the association object.
  `void`
  `setQualifierObjectTypeId(int qualifierObjectTypeId)`
  Sets the qualifierObjectTypeId of the association object.
  `void`
  `setRelationship(Relationship relationship)`
  Sets the relationship details as specified to the association object.
  `void`
  `setSource(Node Src)`
  Sets the source details of the association object.
  `void`
  `setSourceObjectId(int sourceObjectId)`
  Sets the sourceObjectId of the association object
  `void`
  `setSourceObjectTypeId(int sourceObjectTypeId)`
  Sets the sourceObjectTypeId of the association object.
  `void`
  `setTarget(Node target)`
  Sets the target details of the association object.
  `void`
  `setTargetObjectId(int targetObjectId)`
  Sets the targetObjectId of the association object.
  `void`
  `setTargetObjectTypeId(int targetObjectTypeId)`
  Sets the targetObjectTypeId of the association object.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Association

    public Association()

- ## Method Details

  - ### getId

    public int getId()
    Returns the id of the association object.
    Returns:
      id int

  - ### setId

    public void setId(int id)
    Sets the id of the association object
    Parameters:
      `id` - int

  - ### getSourceObjectId

    public int getSourceObjectId()
    Returns the sourceObjectId of the association object.
    Returns:
      sourceObjectId int

  - ### setSourceObjectId

    public void setSourceObjectId(int sourceObjectId)
    Sets the sourceObjectId of the association object
    Parameters:
      `sourceObjectId` -

  - ### getSourceObjectTypeId

    public int getSourceObjectTypeId()
    Returns the sourceObjectTypeId of the association object.
    Returns:
      sourceObjectTypeId int

  - ### setSourceObjectTypeId

    public void setSourceObjectTypeId(int sourceObjectTypeId)
    Sets the sourceObjectTypeId of the association object.
    Parameters:
      `sourceObjectTypeId` - int.

  - ### getTargetObjectId

    public int getTargetObjectId()
    Returns the targetObjectId of the association object.
    Returns:
      targetObjectId int.

  - ### setTargetObjectId

    public void setTargetObjectId(int targetObjectId)
    Sets the targetObjectId of the association object.
    Parameters:
      `targetObjectId` - int

  - ### getTargetObjectTypeId

    public int getTargetObjectTypeId()
    Returns the targetObjectTypeId of the association object.
    Returns:
      targetObjectTypeId int

  - ### setTargetObjectTypeId

    public void setTargetObjectTypeId(int targetObjectTypeId)
    Sets the targetObjectTypeId of the association object.
    Parameters:
      `targetObjectTypeId` - int

  - ### getQualifierObjectId

    public int getQualifierObjectId()
    Returns the qualifierObjectId of the association object.
    Returns:
      qualifierObjectId int

  - ### setQualifierObjectId

    public void setQualifierObjectId(int qualifierObjectId)
    Sets the qualifierObjectId of the association object.
    Parameters:
      `qualifierObjectId` - int

  - ### getQualifierObjectTypeId

    public int getQualifierObjectTypeId()
    Returns the qualifierObjectTypeId of the association object.
    Returns:
      qualifierObjectTypeId int

  - ### setQualifierObjectTypeId

    public void setQualifierObjectTypeId(int qualifierObjectTypeId)
    Sets the qualifierObjectTypeId of the association object.
    Parameters:
      `qualifierObjectTypeId` - int

  - ### setFieldValue

    public void setFieldValue(String name, Object value)
    Sets the field value(extended property) of the association object.
    Parameters:
      `name` - String
      `value` - Object

  - ### getFieldValue

    public Object getFieldValue(String name)
    Returns the field value(extended property) of the association object
    Parameters:
      `name` - String
    Returns:
      fieldValue Object

  - ### getFields

    public Map<String,Object> getFields()
    Returns the fields(extended properties) of the association object
    Returns:
      fields Map

  - ### setFields

    public void setFields(Map<String,Object> fields)
    Sets the fields(extended properties) of the association object
    Parameters:
      `fields` - Map

  - ### getRelationship

    public Relationship getRelationship()
    Returns the relationship details of the association object.
    Returns:
      relationship Relationship

  - ### setRelationship

    public void setRelationship(Relationship relationship)
    Sets the relationship details as specified to the association object.
    Parameters:
      `relationship` - Relationship

  - ### getSource

    public Node getSource()
    Returns the source details of the association object.
    Returns:
      source Node.

  - ### setSource

    public void setSource(Node Src)
    Sets the source details of the association object.
    Parameters:
      `Src` - Node

  - ### getTarget

    public Node getTarget()
    Returns the target details of the association object.
    Returns:
      target Node

  - ### setTarget

    public void setTarget(Node target)
    Sets the target details of the association object.
    Parameters:
      `target` - Node

  - ### getUpstreamNode

    public Node getUpstreamNode()

  - ### getDownstreamNode

    public Node getDownstreamNode()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`